# remote

inline fun <T : BuildCache> BuildCacheConfiguration.remote(type: KClass<T>): T
inline fun <T : BuildCache> BuildCacheConfiguration.remote(type: KClass<T>): T
inline fun <T : BuildCache> BuildCacheConfiguration.remote(type: KClass<T>, configuration: Action<in T>): T
inline fun <T : BuildCache> BuildCacheConfiguration.remote(type: KClass<T>, configuration: Action<in T>): T

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.caching.configuration.BuildCacheConfiguration.remote.

#### Since

3.5

#### See also

BuildCacheConfiguration.remote

inline fun <T : BuildCache> BuildCacheConfiguration.remote(): T

Configures a remote cache with the given type.

If a remote build cache has already been configured with a different type, this method replaces it.

Storing ("push") in the remote build cache is disabled by default.

#### Parameters

T

the type of remote cache to configure.

#### See also

BuildCacheConfiguration.remote

inline fun <T : BuildCache> BuildCacheConfiguration.remote(noinline configuration: T.() -> Unit): T

Configures a remote cache with the given type.

If a remote build cache has already been configured with a different type, this method replaces it.

If a remote build cache has already been configured with the same, this method configures it.

Storing ("push") in the remote build cache is disabled by default.

#### Parameters

T

the type of remote cache to configure.

configuration

the configuration to execute against the remote cache.

#### See also

BuildCacheConfiguration.remote